package sgc.portal.cd.cd0301.persistence;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.cd.cd0301.dto.CD03010001PSearch;
import sgc.portal.cd.cd0301.model.CD03010001P;

@Mapper
public interface CD03010001PMapper {

	/**
	 * 작업지시서 작성(팝업) 조회
	 * @param search
	 * @return
	 */
	CD03010001P selectConWkiOdr(CD03010001PSearch search);
	
	/**
	 * 작업지시순번 조회
	 * @return
	 */
	String selectWkiSeq();
	
	/**
	 * 작업지시서 작성(팝업) 저장 - 신규
	 * @param cD03010001P
	 */
	void saveConWkiOdr(CD03010001P cD03010001P);

	/**
	 * 작업지시서 작성(팝업) 저장 - 작업지시서 견적(사전시행)
	 * @param cD03010001P
	 */
	void updateConWkiOdrEst(CD03010001P cD03010001P);

	/**
	 * 작업지시서 작성(팝업) 삭제
	 * @param cD03010001P
	 */
	void deleteConWkiOdr(CD03010001P cD03010001P);

	/**
	 * 작업지시서 작성(팝업) 저장 - 작업지시서 작성
	 * @param cD03010001P
	 */
	void updateConWkiOdr(CD03010001P cD03010001P);

	/**
	 * 작업지시서 작성(팝업) 결재 후처리 - 작업지시서 작성
	 * @param cD03010001P
	 */
	void approval(CD03010001P cD03010001P);
	
	/**
	 * 작업지시서 작성(팝업) 결재 후처리 - 작업지시서 견적(사전시행)
	 * @param cD03010001P
	 */
	void approvalEst(CD03010001P cD03010001P);

}
